Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.jca
Class EndpointProxy

    java.lang.Object
      org.jboss.soa.esb.listeners.jca.EndpointProxy

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

    public class EndpointProxy

extends java.lang.Object
implements java.lang.reflect.InvocationHandler

comment

Version:
  $Revision: 1.1 $
Author:
  Bill Burke

Field Summary
`protected boolean` | `delivered` Whether we have delivered a message
`protected java.lang.Thread` | `inUseThread` The in use thread
`protected java.lang.ClassLoader` | `loader`
`protected java.lang.ClassLoader` | `oldClassLoader` The old classloader of the thread
`protected EDU.oswego.cs.dl.util.concurrent.SynchronizedBoolean` | `released` Whether this proxy has been released
`protected javax.transaction.Transaction` | `suspended` Any suspended transaction
`protected javax.transaction.Transaction` | `transaction` Any transaction we started

Constructor Summary
`EndpointProxy()`

Method Summary
`protected void` | `after(java.lang.Object proxy)`
`protected void` | `before(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`
`protected java.lang.Object` | `delivery(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`
`protected void` | `endTransaction(java.lang.Object proxy, boolean commit)`
`protected void` | `finish(java.lang.String context, java.lang.Object proxy, boolean commit)`
`protected java.lang.String` | `getProxyString(java.lang.Object proxy)`
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`
`protected void` | `release(java.lang.Object proxy)`
`protected void` | `releaseThreadLock(java.lang.Object proxy)`
`protected void` | `resetContextClassLoader(java.lang.Object proxy)`
`void` | `setContainer(EndpointContainer container)`
`void` | `setLoader(java.lang.ClassLoader loader)`
`void` | `setMessageEndpointFactory(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory)`
`void` | `setXaResource(javax.transaction.xa.XAResource resource)`
`protected void` | `startTransaction(java.lang.String context, java.lang.Object proxy, java.lang.reflect.Method m, java.lang.Object[] args, boolean isTransacted)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### released

    protected EDU.oswego.cs.dl.util.concurrent.SynchronizedBoolean released

  Whether this proxy has been released

### delivered

    protected boolean delivered

  Whether we have delivered a message

### inUseThread

    protected java.lang.Thread inUseThread

  The in use thread

### oldClassLoader

    protected java.lang.ClassLoader oldClassLoader

  The old classloader of the thread

### transaction

    protected javax.transaction.Transaction transaction

  Any transaction we started

### suspended

    protected javax.transaction.Transaction suspended

  Any suspended transaction

### loader

    protected java.lang.ClassLoader loader

Constructor Detail

### EndpointProxy

    public EndpointProxy()

Method Detail

### setContainer

    public void setContainer(EndpointContainer container)

### setMessageEndpointFactory

    public void setMessageEndpointFactory(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory)

### setXaResource

    public void setXaResource(javax.transaction.xa.XAResource resource)

### setLoader

    public void setLoader(java.lang.ClassLoader loader)

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Throws:
    `java.lang.Throwable`

### release

    protected void release(java.lang.Object proxy)
                    throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### before

    protected void before(java.lang.Object proxy,
                          java.lang.reflect.Method method,
                          java.lang.Object[] args)
                   throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### after

    protected void after(java.lang.Object proxy)
                  throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### delivery

    protected java.lang.Object delivery(java.lang.Object proxy,
                                        java.lang.reflect.Method method,
                                        java.lang.Object[] args)
                                 throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### finish

    protected void finish(java.lang.String context,
                          java.lang.Object proxy,
                          boolean commit)
                   throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### startTransaction

    protected void startTransaction(java.lang.String context,
                                    java.lang.Object proxy,
                                    java.lang.reflect.Method m,
                                    java.lang.Object[] args,
                                    boolean isTransacted)
                             throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### endTransaction

    protected void endTransaction(java.lang.Object proxy,
                                  boolean commit)
                           throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### resetContextClassLoader

    protected void resetContextClassLoader(java.lang.Object proxy)

### releaseThreadLock

    protected void releaseThreadLock(java.lang.Object proxy)

### getProxyString

    protected java.lang.String getProxyString(java.lang.Object proxy)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD